Subject: Re: bug#57042: 28.1.91; c-mode autoindents cweb style lines

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 07 Aug 2022 23:58:23 +0200

Van Ly <[email-masked]> writes:

> Yes, there is a dedicated mode for cweb by dek.  I guess it is out of
> date in relation to modern Emacs.  I'm expecting c mode might have
> enough fuzzy heuristic to play well with cweb.  For example, skip the
> lines beginning with @ when autoindenting.  C code validity is a
> moving target.

c-mode doesn't support the cweb language, and won't do that, either.

It might make sense to add a package for doing that to ELPA, but I
haven't seen anybody request that either, so it seems like there's not
really much demand for it.

In any case, I don't think there's anything actionable here on the
Emacs side, so I'm closing this bug report.